Class | Rake::MultiTask
In: | lib/rake.rb
Parent: | Task

######################################################################### Same as a regular task, but the immediate prerequisites are done in parallel using Ruby threads.

### Methods

invoke_prerequisites

### Public Instance methods

invoke_prerequisites(args, invocation_chain)

[Source]

         # File lib/rake.rb, line 738
    738:     def invoke_prerequisites(args, invocation_chain)
    739:       threads = @prerequisites.collect { |p|
    740:         Thread.new(p) { |r| application[r].invoke_with_call_chain(args, invocation_chain) }
    741:       }
    742:       threads.each { |t| t.join }
    743:     end

[Validate]